%define major       4.6
%define libname     %mklibname %{name} %{major}
%define develname   %mklibname %{name} -d
%define libname_orig    lib%{name}

Name:       wvstreams
Version:    4.6.1
Release:    %mkrel 7
License:    LGPLv2+
Group:      System/Libraries
Group:      Development/C
Summary:    Network programming library written in C++
URL:        http://code.google.com/p/wvstreams
Source0:    http://wvstreams.googlecode.com/files/%{name}-%{version}.tar.gz
Patch1:     wvstreams-4.2.2-multilib.patch
Patch2:     wvstreams-4.5-noxplctarget.patch
Patch3:     wvstreams-4.6.1-glibc212.patch
Patch4:     wvstreams-4.6.1-parallel-make.patch
Patch5:     wvstreams-4.6.1-openssl-1.0.0.patch
Patch6:     wvstreams-4.6.1-gcc47.patch
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  libxplc-devel
BuildRequires:  readline-devel
BuildRequires:  dbus-devel

%description
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package -n uniconf
Group:      System/Configuration
Summary:    Configuration system
Requires:   %{libname} = %{version}-%{release}

%description -n uniconf
UniConf is a configuration system that can serve as the centrepiece among 
many other, existing configuration systems. UniConf can also be accessed over 
the network, with authentication, allowing easy replication of configuration 
data via the UniReplicateGen. This package contains the server that accepts 
incoming TCP or Unix connections, and gets or sets UniConf elements at the 
request of a UniConf client. 

%package -n %{libname}
Group:          System/Libraries
Summary:    Network programming library written in C++

%description -n %{libname}
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package -n %{develname}
Summary:    Development files for WvStreams
Group:      Development/C
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}
Obsoletes:  %{_lib}%{name}4.3-devel

%description -n %{develname}
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development. This package contains the files
needed for developing applications which use WvStreams.

%prep
%setup -q
%patch1 -p1 -b .multilib
%patch2 -p1 -b .xplctarget
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p0

%build
CFLAGS="%{optflags} -fPIC -fpermissive" CXXFLAGS="%{optflags} -fPIC -fpermissive" %configure2_5x \
    --disable-static \
    --with-dbus=yes --with-pam \
    --with-openssl \
    --with-zlib \
    --with-qt=no \
    --with-pam=no \
    --with-tcl=no
%make

%install
%makeinstall_std

%files -n uniconf
%{_sysconfdir}/uniconf.conf
%{_bindir}/uni
%{_sbindir}/uniconfd
%{_mandir}/man8/*
%dir %{_localstatedir}/lib/uniconf
%{_localstatedir}/lib/uniconf/uniconfd.ini

%files -n %{libname}
%{_libdir}/*.so.%{major}

%files -n %{develname}
%doc README
%{_bindir}/wsd
%{_bindir}/wvtestrun
%{_includedir}/wvstreams
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_libdir}/valgrind/*.supp


%changelog

* Wed Jan 23 2013 fwang <fwang> 4.6.1-7.mga3
+ Revision: 391550
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 4.6.1-6.mga3
+ Revision: 385891
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 4.6.1-5.mga3
+ Revision: 305007
- add static libs
- fix build with gcc 4.7
- clean up spec

* Sun May 15 2011 pterjan <pterjan> 4.6.1-5.mga1
+ Revision: 99042
- Rebuild for fixed find-requires

* Mon Apr 25 2011 shikamaru <shikamaru> 4.6.1-4.mga1
+ Revision: 90207
- clean spec (retab, buildroot, mdkversion)
- imported package wvstreams

